# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jenkins_workflow/version'

Gem::Specification.new do |spec|
  spec.name          = 'jenkins_workflow'
  spec.version       = JenkinsWorkflow::VERSION
  spec.authors       = ['Tristan Juricek']
  spec.email         = ['tjuricek@perforce.com']

  spec.summary       = %q{Build workflow for HWS}
  spec.description   = %q{Build workflow for HWS}
  spec.homepage      = 'https://swarm.workshop.perforce.com/projects/perforce-software-helix-web-services/'

  spec.files         = Dir.glob('bin/**/*') +
    Dir.glob('lib/**/*') +
    %w(
      .gitignore
      Gemfile
      Gemfile.lock
      jenkins_workflow.gemspec
      Rakefile
      README.md
    )
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'jenkins_api_client', '~> 1.4'
  spec.add_runtime_dependency 'rubyzip', '~> 1.1'
  spec.add_runtime_dependency 'thor', '~> 0.19'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
end
